<template>
  <CheckGroup
    :list="regionList"
    @change="handleChange"
    :default-value="regionInfo"
    label-key="simplename"
  />
</template>

<script lang="ts" setup>
import { useRegionInfo } from '@/hooks/useFilterSchool'
import CheckGroup from '@/components/checkGroup/CheckGroup.vue'
defineOptions({
  options: {
    styleIsolation: 'shared',
  },
})

const { regionList } = useRegionInfo()
const regionInfo = ref<string[]>(['110000', '120000'])

const handleChange = (val: string[]) => {
  console.log(val)
}
</script>

<style lang="scss">
:deep(.checkbox-item-border) {
  border: 2rpx solid #fff;
  > .wd-icon-check-bold {
    display: none !important;
  }
}
</style>
